public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/outcome/
Date: Wed,  6 Apr 2022 19:41:02 +0000 (UTC)	[thread overview]
Message-ID: <1649274056.d0f90f9d129dd53cf33a7c82b102dc9267166c8f.mgorny@gentoo> (raw)

commit:     d0f90f9d129dd53cf33a7c82b102dc9267166c8f
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Apr  6 19:32:21 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Apr  6 19:40:56 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d0f90f9d

dev-python/outcome: Switch to PEP517 build

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/outcome/outcome-1.1.0-r1.ebuild | 37 ++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

diff --git a/dev-python/outcome/outcome-1.1.0-r1.ebuild b/dev-python/outcome/outcome-1.1.0-r1.ebuild
new file mode 100644
index 000000000000..8da627573eeb
--- /dev/null
+++ b/dev-python/outcome/outcome-1.1.0-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Capture the outcome of Python function calls"
+HOMEPAGE="
+	https://github.com/python-trio/outcome
+	https://pypi.org/project/outcome
+"
+SRC_URI="
+	https://github.com/python-trio/${PN}/archive/v${PV}.tar.gz
+		-> ${P}.tar.gz
+"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+	dev-python/attrs[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+	test? (
+		dev-python/async_generator[${PYTHON_USEDEP}]
+		dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs/source dev-python/sphinxcontrib-trio


             reply	other threads:[~2022-04-06 19:41 UTC|newest]

Thread overview: 32+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-04-06 19:41 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-16 18:44 [gentoo-commits] repo/gentoo:master commit in: dev-python/outcome/ Michał Górny
2024-05-11 17:27 Michał Górny
2023-11-22 11:06 Michał Górny
2023-11-22 11:06 Michał Górny
2023-10-26 12:19 Michał Górny
2023-10-18  5:06 Michał Górny
2023-05-29 15:03 Michał Górny
2022-09-13 12:35 Andrew Ammerlaan
2022-07-24 20:33 Michał Górny
2022-07-24 16:29 Sam James
2022-06-15 11:32 Michał Górny
2022-05-27 19:48 Michał Górny
2022-05-27  9:07 Jakov Smolić
2022-05-13 16:11 Michał Górny
2022-05-06 13:22 Michał Górny
2022-04-25 19:00 Sam James
2022-04-06 19:41 Michał Górny
2021-11-19  6:41 Sam James
2021-11-18  9:09 Sam James
2021-09-05 16:33 Sam James
2021-09-04 21:39 Sam James
2021-08-31 17:39 Sam James
2021-08-30  7:26 Agostino Sarubbo
2021-08-30  1:27 Sam James
2021-08-24 23:21 Sam James
2021-08-17 17:15 Marek Szuba
2021-07-24 15:22 Sam James
2021-07-14 16:08 Sergei Trofimovich
2021-07-12 22:11 Sam James
2021-07-12 21:59 Sam James
2021-06-27 11:23 Andrew Ammerlaan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1649274056.d0f90f9d129dd53cf33a7c82b102dc9267166c8f.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox